Announcement

Collapse
No announcement yet.

Upgrading large forum from vB 3.7.7 to v3.8 and beyond

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading large forum from vB 3.7.7 to v3.8 and beyond

    Hello,

    I'm currently running vBulletin 3.7.7 with PHP 5.2 and mySQL 5.0 and I'm looking to finally upgrade. My users are pretty old school, and generally do not care for upgrades. I recently had some issues with my user table crashing and needing repair, which I've done (45k members). I'm hoping with an upgrade, that will resolve this issue, and provide an opportunity to receive support on a current version when necessary.

    I have a license up to vB5, and from what I have read, it's best to step up from version to version, and I'd like to take that first step.

    Should I upgrade PHP to 5.5 first, and then upgrade to 3.8.10?

    After that step, I'm going to set up a migration server to move to. What is the highest version of PHP I can install that will work for 3.8.10 or 3.8.11?

    I also have vB blogs installed, which I've heard don't work with PHP 5.6 (hence the initial upgrade to 3.8.10)? What is the solution for that?


    Is there a better path I should take?
    • Should I upgrade directly to vBulletin 4.2.4 which requires PHP 5.5.0+ and MySQL 5.0.0+?
    • Should I just upgrade to vBulletin 3.8.8 which only requires PHP 5.2.0+ and MySQL 4.0.16+ which I currently have installed?
      • What's the highest version of PHP/mqSQL that I could run on this version?
    • Is there an expert at vBulletin I could contract to help with this upgrade?
    Any help & advice you can provide will be much appreciated.

    Thank you,

    WW
    Last edited by waterwheel; Mon 24 Feb '20, 6:37pm.
    "Oh, so they have internet on computers now!" --Homer.


  • #2
    Yes, you will need to upgrade PHP first otherwise the upgrade script won't run.

    vB3.8.11 will support up to PHP 7.1 but no higher than this. However, if you need the Blogs, I would recommend upgrading to at least vB4.2.5 as these will work. While this is at least one major upgrade in terms of the software, it still has a familiarity about it from vB3...

    Please note we don't provide support for anything earlier than vB3.8.9...

    If you do wish us to perform your upgrade, you can order the Professional Upgrade service from the Members Area. The cost is $150. You can order this by going here:

    http://www.vbulletin.com/

    Click on the 'Customer Login' link at the top, log into your account, then press 'Purchase' then 'Continue'. You will see 'Professional Installation' - choose that and make sure when you fill out the worksheet you specify this is an upgrade.

    Once you purchase the upgrade service you will receive an email with a link to the installation form where you input the server details.

    - FTP server, username and password
    - MySQL server, username, password and database name
    - URL of homepage and forums
    - Forum Admin login info

    Once that form is filled out correctly, the upgrade is assigned to one of our Techs and is usually completed within 1-2 business days (not including weekends.)

    Upgrading will always overwrite any hacks or changes you made to the vB files. However you will have to disable and/or remove any add-ons prior to upgrading. After the upgrade you can contact the authors of those add-ons to see if they have updated versions.

    Also any custom styles and templates from vB 3.x will not be compatible with vB4. You will have to redo your customizations after upgrading.
    Vote for:

    - *Admin Settable Paid Subscription Reminder Timeframe*
    -
    *PM - Add ability to reply to originator only*
    - Add Admin ability to auto-subscribe users to specific channel(s)
    - "Quick Route" Interface...

    Comment

    Related Topics

    Collapse

    Working...
    X